aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libsass/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-11-18 13:33:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-18 13:36:54 +0000
commita4b4cf05ac1aea800c7ab9825a9fee9f798ba576 (patch)
tree08b6c727d8fa1e14c9d2986f1d2d2e0bf389cf0a /testing/libsass/APKBUILD
parenta7ce38a4214759b7fa739b2a55ab97541b953ecb (diff)
downloadaports-a4b4cf05ac1aea800c7ab9825a9fee9f798ba576.tar.gz
aports-a4b4cf05ac1aea800c7ab9825a9fee9f798ba576.tar.bz2
aports-a4b4cf05ac1aea800c7ab9825a9fee9f798ba576.tar.xz
testing/libsass: new aport
A C/C++ implementation of a Sass compiler http://libsass.org
Diffstat (limited to 'testing/libsass/APKBUILD')
-rw-r--r--testing/libsass/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/libsass/APKBUILD b/testing/libsass/APKBUILD
new file mode 100644
index 0000000000..c118d43836
--- /dev/null
+++ b/testing/libsass/APKBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+# Contributor: Thomas Boerger <thomas@webhippie.de>
+pkgname=libsass
+pkgver=3.3.2
+pkgrel=0
+pkgdesc="A C/C++ implementation of a Sass compiler"
+url="http://libsass.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool"
+install=""
+subpackages="$pkgname-dev"
+source="libsass-$pkgver.tar.gz::https://github.com/sass/libsass/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/libsass-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ autoreconf -vif
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install DESTDIR="$pkgdir" || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="3bd94bd35fbbacaf2db25efb7470b544 libsass-3.3.2.tar.gz"
+sha256sums="affb7efaa7e152e576cc1d510c662ebe067b0b9e9228ad2937dcafdd4431b573 libsass-3.3.2.tar.gz"
+sha512sums="4cb2cba562bc5809f84aeb93638c99d63967808673939f96fe816ce008a478e04a1f9e8cdb5db2675131c8af7668ef037b7c46db9fa264c51d52b41a2e27904c libsass-3.3.2.tar.gz"